# Uses of Class
java.awt.font.TextLayout.CaretPolicy

Packages that use TextLayout.CaretPolicy
Package
Description
java.awt.font
Provides classes and interface relating to fonts.

## Uses of TextLayout.CaretPolicy in java.awt.font

Fields in java.awt.font declared as TextLayout.CaretPolicy
Modifier and Type
Field
Description
`static final TextLayout.CaretPolicy`
TextLayout.`DEFAULT_CARET_POLICY`
This `CaretPolicy` is used when a policy is not specified by the client.
Methods in java.awt.font with parameters of type TextLayout.CaretPolicy
Modifier and Type
Method
Description
`Shape[]`
TextLayout.`getCaretShapes(int offset, Rectangle2D bounds, TextLayout.CaretPolicy policy)`
Returns two paths corresponding to the strong and weak caret.
`TextHitInfo`
TextLayout.`getNextLeftHit(int offset, TextLayout.CaretPolicy policy)`
Returns the hit for the next caret to the left (top); if no such hit, returns `null`.
`TextHitInfo`
TextLayout.`getNextRightHit(int offset, TextLayout.CaretPolicy policy)`
Returns the hit for the next caret to the right (bottom); if no such hit, returns `null`.